BRIC_DEV_SYNC(1)

NAME
bric_dev_sync - copies dev resources (Elements and Templates) between servers

SYNOPSIS
bric_dev_sync [options] source_url target_url [target_url, ...]

Arguments:

  source_url        - the url for the source server
                      (example: http://localhost or just localhost)

  target_url        - the url for the target server(s)
                      (example: http://bric.bar.com or just bar.com)

Options:

  --help            - shows this screen

  --man             - shows the full documentation

  --verbose         - print a running dialogue of operations.  Repeat
                      up to three times of successively larger amounts
                      of debugging information.

  --source-username - the Bricolage username to use on the source
                      server.  Defaults to the BRICOLAGE_USERNAME
                      environment variable if set.

  --source-password - the password to use on the source server.
                      Default to the BRICOLAGE_PASSWORD environment
                      variable if set.

  --target-username - the Bricolage username to use on the target
                      server(s).  Defaults to the BRICOLAGE_USERNAME
                      environment variable if set.

  --target-password - the password to use on the target server(s).
                      Default to the BRICOLAGE_PASSWORD environment
                      variable if set.

  --category        - set to a particular category path to only copy
                      templates in this category.

  --template        - set to the name of a template to copy.  Also
                      accepts SQL match variables to specify groups
                      of templates (ex. "%.pl", "story.%").

  --element         - set to the name of an element to copy.  Also
                      copies templates for just this element unless
                      --no-templates is set.

  --template-id     - set to the ID of a single template to copy.

  --element-id      - set to the ID of a single element to copy.

  --site            - the name of a site to copy.

  --with-sub        - also selects sub-elements of the selected element.
                      Useful in combination with --element or
                      --element-id.

  --copy-categories - copy categories from source to target.  Off by
                      default.  You will need this option to copy
                      templates from a category on the source that
                      does not exist in the target.

  --no-elements     - only copies templates.  This may cause failure if
                      the source contains templates for elements that
                      do not exist on the target.

  --no-templates    - only copy elements.

  --no-deploy       - by default templates are deployed after being
                      copied.

  --yes             - don't ask questions, assume the answer is yes and
                      proceed.

  --dry-run         - don't actually perform potentially destructive
                      operations (delete, update, create, deploy).
                      Combine with --verbose for maximum utility.

  --timeout         - specify the HTTP timeout for SOAP requests in
                      seconds.  Defaults to 30.

DESCRIPTION
This program allows you to copy development resources (elements and templates) from a source server to one or more target servers. There are two main use cases for this program:

•   Copying development resources from a development machine into production.

•   Copying development resources from a development machine to a private development environment and back again after changes are made.

For more general resource copying functionality, see the bric_soap client.

EXAMPLES
Simply copy all elements and templates from the server called "prod" to localhost:

  bric_dev_sync http://prod http://localhost

Like the above, but with categories copied also:

  bric_dev_sync --copy-categories prod localhost

Update prod with changes to the "Article" element and all sub-elements and associated templates:

  bric_dev_sync --element Article --with-sub localhost prod

Update prod with changes with changes to all .pl templates:

  bric_dev_sync --no-elements --template '%.pl' localhost prod

Distribute changes to elements and templates from localhost out to prod1, prod2 and prod3 machines:

  bric_dev_sync localhost prod1 prod2 prod3

AUTHOR
Sam Tregar <stregar@about-inc.com>

SEE ALSO
Bric::SOAP

Bric::SOAP::Element

Bric::SOAP::Template